"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var File = java.io.File;
var URI = java.net.URI;
function downloadFile(msg) {
    var path = msg.data.path;
    var link = msg.data.url;
    var output;
    var input;
    var progress = 0;
    var previous = 0;
    try {
        var count = 0;
        var uri = new URI(link);
        var url = uri.toURL();
        var connection = url.openConnection();
        var file = new File(path);
        var fileSize = connection.getContentLength();
        var data = Array.create('byte', 4096);
        var total = 0;
        var responseCode = connection.getResponseCode();
        if (responseCode === 200) {
            input = new java.io.BufferedInputStream(url.openStream());
            output = new java.io.FileOutputStream(file);
            global.postMessage({
                status: 1,
            });
            global.postMessage({ progress: progress });
            while ((count = input.read(data)) != -1) {
                total += count;
                progress = Math.floor((total * 100) / fileSize);
                if (progress > previous) {
                    global.postMessage({ progress: progress });
                    previous = progress;
                }
                output.write(data, 0, count);
            }
            if ((count = input.read(data)) === -1) {
                global.global.postMessage({
                    status: 2,
                    filePath: path
                });
                output.flush();
                output.close();
                input.close();
            }
        }
        else {
            global.postMessage({ type: 'error', code: responseCode });
        }
    }
    catch (e) {
        global.postMessage({ type: 'error', code: e });
    }
}
global.onmessage = function (msg) {
    switch (msg.data.action) {
        case 'download':
            downloadFile(msg);
            break;
    }
};
//# sourceMappingURL=worker.js.map