import * as common from '../common';
import { Observable } from 'tns-core-modules/data/observable';
export { PageMode, documentTitleProperty } from '../common';
export declare const PROGRESS_EVENT = "progress";
export interface TNSPSPDFKitOptions {
    scrollDirection?: 'vertical' | 'horizontal';
    backgroundColor?: string;
    spreadFitting?: 'adaptive' | 'fit' | 'fill';
    thumbnailBar?: 'scrollable' | 'scrubber' | 'none';
    scrubberBar?: 'verticalRight' | 'verticalLeft';
    thumbnailSize?: string;
    pageMode?: 'automatic' | 'single' | 'double';
    minZoom?: number;
    maxZoom?: number;
}
export declare class TNSPSPDFKit {
    _downloadTask: any;
    private _progress;
    private appDelegate;
    events: Observable;
    constructor(licenseKey: string);
    convert(src: string, outPut?: string): Promise<any>;
    display(documentName: string, options?: TNSPSPDFKitOptions): void;
    private downloadDocument(src);
}
export declare class TNSPSPDFView extends common.TNSPSPDFView {
    _isSetup: boolean;
    progress: number;
    private _downloadTask;
    nativeView: any;
    controller: any;
    currentSize: CGSize;
    config: any;
    private _progress;
    private _file;
    private _observer;
    constructor();
    private addObserver();
    private removeObserver();
    static toggleMemoryMode(): void;
    initNativeView(): void;
    clearCache(): void;
    private setupView();
    onLoaded(): void;
    onUnloaded(): void;
    disposeNativeView(): void;
    onMeasure(widthMeasureSpec: number, heightMeasureSpec: number): void;
    backgroundColor: string;
    getPageIndex(): number;
    setPageIndex(index: number, animated: boolean): void;
    getAnnotationField(name: string): any;
    getFormField(name: string): any;
    getAllFormFields(): Object;
    setFormField(name: string, value: any): void;
    undoEnabled: boolean;
    setFormFields(obj: Object): void;
    backgroundSaving: boolean;
    formsEnabled: boolean;
    scrollDirection: string;
    spreadFitting: string;
    thumbnailBar: string;
    scrubberBar: string;
    thumbnailSize: string;
    maxZoom: number;
    minZoom: number;
    enableFormElementsZoom: boolean;
    searchResultZoom: number;
    pageMode: any;
    downloadDocument(src: string): void;
}
